Opt-out: Add template with a link to Flow Archive page
Closed, ResolvedPublic

Description

Opt-out moves the user's Flow page to /Flow Archive 1. We need to show that link to the user.

We should have a template in the same style as the one currently added to the side rail on new Flow boards.
https://www.mediawiki.org/wiki/Template:Wikitext_talk_page_converted_to_Flow

Example:
{{Wikitext talk page converted to Flow|archive = User talk:SuperDuckspecial/Archive 1|date = 2015-09-28}}

This template says:
Previous discussion was archived at User talk:SuperDuckspecial/Archive 1 on 2015-09-28.

We should also have the opposite counterpart -- Template:Flow board converted to wikitext. Text should read:
Previous discussion was archived at (Flow Archive page) on (date).

This can be added at the top of the wikitext talk page.

We should treat this archive link the same way that we do its opposite counterpart -- removing it and replacing it depending on whether it's canonical or archived.

DannyH created this task.Sep 17 2015, 8:26 PM
DannyH updated the task description. (Show Details)
DannyH raised the priority of this task from to Needs Triage.
DannyH moved this task to Untriaged on the Collaboration-Team-Archive-2015-2016 board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 8:26 PM
Etonkovidova added a subscriber: Etonkovidova.EditedSep 17 2015, 9:08 PM

Another topic worth to be discussed - 'View history':

User talk page will have different History pages due to opt-in/opt-out - because those are, in fact, different pages. Even the titles differ: Revision history of User talk:ET23 vs User talk:ET23 (after opt-in)

  • it's confusing for a user to think about two different histories for the same page
  • some History entires after opt-in are redundant and give no helpful info


Clicking on the link "differences from the previous version", gives:

  • all info about a "related" Flow User talk will be stored in 'View logs for this page' on 'Revision history of User talk'
DannyH added a comment.EditedSep 17 2015, 9:17 PM

About the two histories: that's actually not much different from page moves, or wikitext cut-and-paste archives. I think this is actually more clear, because we're presenting these as two different pages.

I agree that Flow history pages need a lot more work, but that's a bigger problem than this ticket.

DannyH set Security to None.
DannyH moved this task from Untriaged to Team discussion on the Collaboration-Team-Triage board.
DannyH triaged this task as Normal priority.

Yup, there is a log entry for the page itself, but it's not entirely clear in the history page.
E.g. I opted-in and then opted-out:
Log: http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special:Log&page=User+talk%3ATestingabanana
History: http://en.wikipedia.beta.wmflabs.org/w/index.php?title=User_talk:Testingabanana&action=history

We probably need to

(Flow talk page manager moved page User talk:Testingabanana/Archive 1 to User talk:Testingabanana without leaving a redirect: Archive flow page to User talk:Testingabanana/Flow Archive 1 and restore archived wikitext page)

is 224, including the filled in variables.

DannyH renamed this task from Opt-out: How to show link to /Flow Archive? (needs team discussion) to Opt-out: Add template with a link to Flow Archive page.Sep 29 2015, 8:50 PM
DannyH updated the task description. (Show Details)

I updated this ticket, and now it's just about adding the template. If we want to also change the edit summary for Flow talk page manager, that should be a different ticket. Do we want to do that?

DannyH removed a subscriber: DannyH.Oct 5 2015, 10:47 PM

Change 246858 had a related patch set uploaded (by Sbisson):
[WIP] Add templates to talkpage and Flow board during opt-out

https://gerrit.wikimedia.org/r/246858

Change 246858 merged by jenkins-bot:
Add templates to talkpage and Flow board during opt-out

https://gerrit.wikimedia.org/r/246858

Checked in betalabs

After opt-out

  1. wikitext User talk page displays a link to archived Flow board:

e.g. Previous discussion was archived at User talk:ET12/Flow Archive 1 on 2015-10-28.

  1. Archived User talk:ET12/Flow Archive 1 displays the following added to a Board description:
{{Archive for converted wikitext talk page|from=User talk:ET12|date=2015-10-28}}<br>
<br>
<br><br><br><br>
<!--?xml encoding="utf-8"?-->
Catrope closed this task as Resolved.Nov 22 2015, 10:50 PM
Catrope added a subscriber: Catrope.